darcs

Ssh

Synopsis

- grabSSH :: String -> Connection -> IO ByteString
- runSSH :: SSHCmd -> String -> [String] -> [String] -> Redirects -> IO ExitCode
- getSSH :: SSHCmd -> String -> IO (String, [String])
- copySSH :: String -> String -> FilePath -> IO ()
- copySSHs :: String -> String -> [String] -> FilePath -> IO ()
- data SSHCmd
  - = SSH
  - | SCP
  - | SFTP
- environmentHelpSsh :: ([String], [String])
- environmentHelpScp :: ([String], [String])
- environmentHelpSshPort :: ([String], [String])

# Documentation

grabSSH :: String -> Connection -> IO ByteString

runSSH :: SSHCmd -> String -> [String] -> [String] -> Redirects -> IO ExitCode

getSSH

Arguments

:: SSHCmd |
-> String | remote path
-> IO (String, [String]) |

Return the command and arguments needed to run an ssh command along with any extra features like use of the control master. See `getSSHOnly`

copySSH :: String -> String -> FilePath -> IO ()

copySSHs :: String -> String -> [String] -> FilePath -> IO ()

data SSHCmd

Constructors

SSH |
SCP |
SFTP |

Instances

Show SSHCmd |

environmentHelpSsh :: ([String], [String])

environmentHelpScp :: ([String], [String])

environmentHelpSshPort :: ([String], [String])